<s:div xmlns:h="http://java.sun.com/jsf/html" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:rich="http://richfaces.org/rich" xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j" xmlns="http://www.w3.org/1999/xhtml">
	
	#{viewResultBean.setResultValidation(resultValidation)}
	
	<s:div id="detailedResultsDiv"
		rendered="#{viewResultBean.resultValidation != null}">
		<gri:panel iid="xsdValidation" styleClass="styleResultBackground">
			<f:facet name="header">#{messages['net.ihe.gazelle.cdagen.XSDValidationReport']}</f:facet>
			<h:outputText id="xsdValidationText"
				value="#{viewResultBean.getXsdValidationResults()}" escape="false" />
			</gri:panel>
			<br />
			<br />
			<gri:panel pid="summaryPanel" styleClass="styleResultBackground">
				<f:facet name="header">#{messages['net.ihe.gazelle.cdagen.ValidationSummary']}</f:facet>
				<h:outputText id="counters" value="#{viewResultBean.getCounters()}"
					escape="false" />
			</gri:panel>
			<br />
			<br />
			<gri:panel switchType="client" pid="detailsPanel"
				styleClass="styleResultBackground">
				<f:facet name="header">#{messages['net.ihe.gazelle.cdagen.ValidationDetails']}</f:facet>
				<h:outputText id="details"
					value="#{viewResultBean.getDetailedResults()}" escape="false" />
			</gri:panel>
			<br />
			<br />
	</s:div>
</s:div>
